"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CompositeKeyError extends Error {
    constructor(message) {
        super(message !== null && message !== void 0 ? message : CompositeKeyError.MESSAGE);
        Object.setPrototypeOf(this, CompositeKeyError.prototype);
    }
}
CompositeKeyError.MESSAGE = 'Composite primary keys are not supported by Eloquent: https://laravel.com/docs/9.x/eloquent#composite-primary-keys';
exports.default = CompositeKeyError;
//# sourceMappingURL=composite-key-error.js.map