"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CompositeKeyOnRelationError extends Error {
    constructor(message) {
        super(message !== null && message !== void 0 ? message : CompositeKeyOnRelationError.MESSAGE);
        Object.setPrototypeOf(this, CompositeKeyOnRelationError.prototype);
    }
}
CompositeKeyOnRelationError.MESSAGE = 'Relations must reference to just one primary key column, since composite primary keys are not supported by Eloquent: https://laravel.com/docs/9.x/eloquent#composite-primary-keys';
exports.default = CompositeKeyOnRelationError;
//# sourceMappingURL=composite-key-on-relation-error.js.map