"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class FillableGuardedConflictError extends Error {
    constructor(message) {
        super(message !== null && message !== void 0 ? message : FillableGuardedConflictError.MESSAGE);
        Object.setPrototypeOf(this, FillableGuardedConflictError.prototype);
    }
}
FillableGuardedConflictError.MESSAGE = "You can't define guarded AND fillable fields in the same model, this would lead to unexpected behaviours.";
exports.default = FillableGuardedConflictError;
//# sourceMappingURL=fillable-guarded-conflict-error.js.map