"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class HiddenVisibleConflictError extends Error {
    constructor(message) {
        super(message !== null && message !== void 0 ? message : HiddenVisibleConflictError.MESSAGE);
        Object.setPrototypeOf(this, HiddenVisibleConflictError.prototype);
    }
}
HiddenVisibleConflictError.MESSAGE = "You can't define hidden AND visible fields in the same model, this would lead to unexpected behaviours.";
exports.default = HiddenVisibleConflictError;
//# sourceMappingURL=hidden-visible-conflict-error.js.map