"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MappedFieldError extends Error {
    constructor(message) {
        super(message !== null && message !== void 0 ? message : MappedFieldError.MESSAGE);
        Object.setPrototypeOf(this, MappedFieldError.prototype);
    }
}
MappedFieldError.MESSAGE = 'Laravel does not provide a way to map attributes to columns with different names. Please, remove all your @map attributes on your fields.';
exports.default = MappedFieldError;
//# sourceMappingURL=mapped-field-error.js.map