"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MassAssignableConflictError extends Error {
    constructor(message) {
        super(message !== null && message !== void 0 ? message : MassAssignableConflictError.MESSAGE);
        Object.setPrototypeOf(this, MassAssignableConflictError.prototype);
    }
}
MassAssignableConflictError.MESSAGE = "You can't define guarded or fillable fields when you set the model as mass-assignable";
exports.default = MassAssignableConflictError;
//# sourceMappingURL=mass-assignable-conflict-error.js.map