"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ModelNotFoundError extends Error {
    constructor(message) {
        super(message !== null && message !== void 0 ? message : ModelNotFoundError.MESSAGE);
        Object.setPrototypeOf(this, ModelNotFoundError.prototype);
    }
}
ModelNotFoundError.MESSAGE = 'Unable to find the model in the schema.';
exports.default = ModelNotFoundError;
//# sourceMappingURL=model-not-found-error.js.map