"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MultipleDataSourcesError extends Error {
    constructor(message) {
        super(message !== null && message !== void 0 ? message : MultipleDataSourcesError.MESSAGE);
        Object.setPrototypeOf(this, MultipleDataSourcesError.prototype);
    }
}
MultipleDataSourcesError.MESSAGE = 'Multiple data sources are not supported: https://www.prisma.io/docs/concepts/components/prisma-schema/data-sources';
exports.default = MultipleDataSourcesError;
//# sourceMappingURL=multiple-data-sources-error.js.map