"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const promises_1 = require("node:fs/promises");
const node_path_1 = require("node:path");
const lodash_1 = __importDefault(require("lodash"));
const deleteAllFilesInDirectory = async (path) => {
    let files = [];
    try {
        files = await (0, promises_1.readdir)(path);
    }
    catch (_a) {
        return;
    }
    await Promise.allSettled(lodash_1.default.map(files, file => (0, promises_1.unlink)((0, node_path_1.join)(path, file))));
};
exports.default = deleteAllFilesInDirectory;
//# sourceMappingURL=delete-all-files-in-directory.js.map