"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const get_from_documentation_1 = __importDefault(require("../utils/get-from-documentation"));
const getModelImplements = (model) => {
    const implementClasses = (0, get_from_documentation_1.default)(/^implements:.*/gi, model.documentation);
    return (0, lodash_1.map)(implementClasses, t => (0, lodash_1.replace)(t, /^implements:/gi, ''));
};
exports.default = getModelImplements;
//# sourceMappingURL=get-model-implements.js.map