"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = __importDefault(require("lodash"));
const get_field_lines_1 = __importDefault(require("./get-field-lines"));
const getFieldLine = (fieldName, modelName, rawContent) => {
    var _a;
    const fields = (0, get_field_lines_1.default)(modelName, rawContent);
    if (!fields) {
        return false;
    }
    return (_a = lodash_1.default.find(fields, f => f.id === fieldName)) !== null && _a !== void 0 ? _a : false;
};
exports.default = getFieldLine;
//# sourceMappingURL=get-field-line.js.map