"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ucwords_1 = __importDefault(require("./ucwords"));
const snake = (value, delimiter = '_') => {
    if (/^[a-z]*$/g.test(value)) {
        return value;
    }
    return (0, ucwords_1.default)(value)
        .replaceAll(/\s+/g, '')
        .replaceAll(/(.)(?=[A-Z])/g, `$1${delimiter}`)
        .toLowerCase();
};
exports.default = snake;
//# sourceMappingURL=snake.js.map