"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class FieldNotFoundError extends Error {
    constructor(message) {
        super(message !== null && message !== void 0 ? message : FieldNotFoundError.MESSAGE);
        Object.setPrototypeOf(this, FieldNotFoundError.prototype);
    }
}
FieldNotFoundError.MESSAGE = 'Unable to find the field in the schema.';
exports.default = FieldNotFoundError;
//# sourceMappingURL=field-not-found-error.js.map