"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class InvalidLaravelTimestampsError extends Error {
    constructor(message) {
        super(message !== null && message !== void 0 ? message : InvalidLaravelTimestampsError.MESSAGE);
        Object.setPrototypeOf(this, InvalidLaravelTimestampsError.prototype);
    }
}
InvalidLaravelTimestampsError.MESSAGE = 'Both `created` and `updated` timestamps need to be defined: https://laravel.com/docs/9.x/eloquent#timestamps';
exports.default = InvalidLaravelTimestampsError;
//# sourceMappingURL=invalid-laravel-timestamps-error.js.map