"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const pluralize_1 = require("pluralize");
const ucwords_1 = __importDefault(require("../utils/strings/ucwords"));
const getModelClassName = (model, prefix) => {
    return (0, pluralize_1.singular)((0, ucwords_1.default)(`${prefix ? `${prefix} ` : ''}${model.name.replace(/_+/g, ' ')}`).replace(/\s+/g, ''));
};
exports.default = getModelClassName;
//# sourceMappingURL=get-model-classname.js.map