"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const get_from_documentation_1 = __importDefault(require("../utils/get-from-documentation"));
const getModelTraits = (model) => {
    const traits = (0, get_from_documentation_1.default)(/^trait:.*/gi, model.documentation);
    return (0, lodash_1.map)(traits, t => (0, lodash_1.replace)(t, /^trait:/gi, ''));
};
exports.default = getModelTraits;
//# sourceMappingURL=get-model-traits.js.map