"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const get_model_classname_1 = __importDefault(require("./get-model-classname"));
const getPrismaFqcn = (data, modelPrefix) => {
    const namespace = 'App\\Models\\Prisma';
    const fqcn = `${namespace}\\${(0, get_model_classname_1.default)(data, modelPrefix)}`;
    return { fqcn, namespace };
};
exports.default = getPrismaFqcn;
//# sourceMappingURL=get-prisma-fqcn.js.map