"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = __importStar(require("lodash"));
const is_field_relation_1 = __importDefault(require("./is-field-relation"));
const field_not_found_error_1 = __importDefault(require("../errors/field-not-found-error"));
const getRelatedFieldOfRelatedModel = (model, relatedModel, relationField) => {
    const field = (0, lodash_1.find)(lodash_1.default.filter(relatedModel.fields, f => (0, is_field_relation_1.default)(f)), relation => {
        if (relatedModel.name === model.name) {
            return (relation.relationName === relationField.relationName &&
                relation.name !== relationField.name);
        }
        return relation.relationName === relationField.relationName;
    });
    if (!field) {
        throw new field_not_found_error_1.default();
    }
    return field;
};
exports.default = getRelatedFieldOfRelatedModel;
//# sourceMappingURL=get-related-field-of-related-model.js.map