"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = __importDefault(require("lodash"));
const isFieldCuid = (field) => {
    return (typeof field.default === 'object' &&
        !lodash_1.default.isArray(field.default) &&
        field.default.name === 'cuid');
};
exports.default = isFieldCuid;
//# sourceMappingURL=is-field-cuid.js.map