"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const find_on_documentation_1 = __importDefault(require("../utils/find-on-documentation"));
const isFieldUpdatedTimestamp = (field) => field.name === 'updated_at' ||
    (0, find_on_documentation_1.default)('updated_at', field.documentation) ||
    !!field.isUpdatedAt;
exports.default = isFieldUpdatedTimestamp;
//# sourceMappingURL=is-field-updated-timestamp.js.map