"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getClassFromFQCN = (fqcn) => {
    const asMatch = /\s+as\s+/gi.exec(fqcn);
    if (asMatch) {
        return fqcn.slice(asMatch.index + 4).trim();
    }
    if (fqcn.includes('\\')) {
        return fqcn.slice(fqcn.lastIndexOf('\\') + 1);
    }
    return fqcn;
};
exports.default = getClassFromFQCN;
//# sourceMappingURL=get-class-from-fqcn.js.map