"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const get_field_line_1 = __importDefault(require("./get-field-line"));
const getFieldAttribute = (regex, group, fieldName, modelName, rawSchema) => {
    const line = (0, get_field_line_1.default)(fieldName, modelName, rawSchema);
    if (!line) {
        return false;
    }
    const { attributes } = line;
    if (!attributes) {
        return false;
    }
    const result = [];
    let matches = regex.exec(attributes);
    while (matches) {
        result.push(matches[group]);
        matches = regex.exec(attributes);
    }
    return result.length === 1 ? result[0] : false;
};
exports.default = getFieldAttribute;
//# sourceMappingURL=get-field-attribute.js.map