"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const promises_1 = require("node:fs/promises");
const node_path_1 = __importDefault(require("node:path"));
const writeFileSafely = async (writeLocation, content) => {
    await (0, promises_1.mkdir)(node_path_1.default.dirname(writeLocation), {
        recursive: true,
    });
    await (0, promises_1.writeFile)(writeLocation, content, 'utf8');
};
exports.default = writeFileSafely;
//# sourceMappingURL=write-file-safely.js.map